from django.urls import path

from . import views

urlpatterns = [
    path("", views.index, name="index"),
    path("login", views.LoginView.as_view(), name="login"),
    path("logout", views.LogoutView.as_view(), name="logout"),
    path("transaction", views.transaction, name="transaction"),
    path("transaction/<uuid>", views.transaction, name="transaction"),
    path(
        "transaction/<uuid>/update", views.update_transaction, name="update_transaction"
    ),
    path("transaction/<uuid>/add_invoice", views.add_invoice, name="add_invoice"),
    path(
        "transaction/<uuid>/del_invoice/<invoice_id>",
        views.del_invoice,
        name="del_invoice",
    ),
    path("invoice/<uuid>", views.invoice, name="invoice"),
    path("category", views.category, name="category"),
    path("category/<uuid>", views.category, name="category"),
    path("category/<uuid>/update", views.update_category, name="update_category"),
    path("snapshot", views.snapshot, name="snapshot"),
    path("snapshot/<date>", views.snapshot, name="snapshot"),
    path("snapshot/update/<uuid>", views.update_snapshot, name="update_snapshot"),
    path("snapshot/<date>/del", views.del_snapshot, name="del_snapshot"),
]
